Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.example.jobshop
Class Operation

    java.lang.Object
      ifs.model.Variable
          ifs.example.jobshop.Operation

All Implemented Interfaces:
  Comparable

    public class Operation

extends Variable

Operation.
Each operation has its number, job, machine and processing time

Version:
  1.0
Author:
  Tomáš Müller

Field Summary

Fields inherited from class ifs.model.Variable
`iValue`

Constructor Summary
`Operation(Job job, Machine machine, int operationNumber, int processingTime)` Constructor

Method Summary
`boolean` | `equals(Object o)` Compares two operations -- job number and operation number must match
`Job` | `getJob()` Get job
`int` | `getJobNumber()` Get job number
`Machine` | `getMachine()` Get machine
`int` | `getMachineNumber()` Get machine number
`int` | `getMaxStartTime()` Get maximal starting time
`int` | `getMinStartTime()` Get minimal starting time
`String` | `getName()` Operation's name (e.g., O[2,4] where 2 is the job number and 4 is the operation number
`int` | `getOperationNumber()` Get operation number
`Operation` | `getPrecedingOperation()` Get the preceeding operation (if any)
`int` | `getProcessingTime()` Get processing time
`Operation` | `getSubsequentOperation()` Get the subsequent operation (if any)
`void` | `init()` Initialozation -- fills the variable's domain
`String` | `toString()` string representation -- for debuging and printing purposes

Methods inherited from class ifs.model.Variable
`addContstraint, addVariableListener, assign, compareTo, constraints, constraintVariables, countAssignments, getAssignment, getBestAssignment, getBestAssignmentIteration, getDescription, getExtra, getId, getInitialAssignment, getModel, hardConstraints, hasAssignment, hashCode, hasInitialAssignment, lastAssignmentIteration, lastUnassignmentIteration, removeContstraint, removeInitialValue, removeValue, removeVariableListener, setBestAssignment, setExtra, setInitialAssignment, setModel, setValues, softConstraints, unassign, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Operation

    public Operation(Job job,
                     Machine machine,
                     int operationNumber,
                     int processingTime)

  Constructor

  Parameters:
    `job` - job
    `machine` - machine
    `operationNumber` - operation number
    `processingTime` - processing time

Method Detail

### getJob

    public Job getJob()

  Get job

### getJobNumber

    public int getJobNumber()

  Get job number

### getOperationNumber

    public int getOperationNumber()

  Get operation number

### getMachine

    public Machine getMachine()

  Get machine

### getMachineNumber

    public int getMachineNumber()

  Get machine number

### getProcessingTime

    public int getProcessingTime()

  Get processing time

### getPrecedingOperation

    public Operation getPrecedingOperation()

  Get the preceeding operation (if any)

### getSubsequentOperation

    public Operation getSubsequentOperation()

  Get the subsequent operation (if any)

### getMinStartTime

    public int getMinStartTime()

  Get minimal starting time

### getMaxStartTime

    public int getMaxStartTime()

  Get maximal starting time

### equals

    public boolean equals(Object o)

  Compares two operations -- job number and operation number must match

  Overrides:
    `equals` in class `Variable`

### init

    public void init()

  Initialozation -- fills the variable's domain

### toString

    public String toString()

  string representation -- for debuging and printing purposes

  Overrides:
    `toString` in class `Variable`

### getName

    public String getName()

  Operation's name (e.g., O[2,4] where 2 is the job number and 4 is the operation number

  Overrides:
    `getName` in class `Variable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller